summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKyle Keen2015-06-13 00:10:22 -0400
committerKyle Keen2015-06-13 00:10:22 -0400
commitf3755e81ef12de36490ab86685dc5e6c5805f94f (patch)
treebde9ff37c70cf71b6b56a30d075e00ed4e581edd
downloadaur-f3755e81ef12de36490ab86685dc5e6c5805f94f.tar.gz
Initial import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD34
-rw-r--r--ttf-game-fonts.install15
3 files changed, 64 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f04cf647f3b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = ttf-game-fonts
+ pkgdesc = Some +200 fonts from classic video games.
+ pkgver = 20111126
+ pkgrel = 3
+ url = http://www.thealmightyguru.com/GameFonts/Index.html
+ install = ttf-game-fonts.install
+ arch = any
+ license = custom
+ makedepends = wget
+ makedepends = unzip
+ depends = xorg-font-utils
+ depends = fontconfig
+
+pkgname = ttf-game-fonts
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ab501a314bd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Kyle Keen < keenerd at gmail >
+
+pkgname=ttf-game-fonts
+pkgver=20111126
+pkgrel=3
+pkgdesc='Some +200 fonts from classic video games.'
+arch=('any')
+license=('custom')
+url='http://www.thealmightyguru.com/GameFonts/Index.html'
+depends=('xorg-font-utils' 'fontconfig')
+makedepends=('wget' 'unzip')
+install=ttf-game-fonts.install
+source=()
+_download_source='http://www.thealmightyguru.com/GameFonts/GFD-FontList.html'
+md5sums=()
+
+build() {
+ msg "Beginning dynamic build..."
+ mkdir -p zips
+ wget -r -l 1 -N -L -np -nd -nH -P "./zips" -A "Font*.zip" "$_download_source" || true
+ #cp ../zips/*.zip zips/
+}
+
+package() {
+ install -d "$pkgdir/usr/share/fonts/TTF/"
+ install -d "$pkgdir/usr/share/licenses/$pkgname/"
+ for z in zips/*.zip; do
+ unzip -j "$z" '*.ttf' -d "$pkgdir/usr/share/fonts/TTF/" 2> /dev/null || true
+ unzip -j "$z" '*.txt' '*.html' '*.doc' -d "$pkgdir/usr/share/licenses/$pkgname/" 2> /dev/null || true
+ done
+ chmod -R a+r "$pkgdir/usr/share/fonts/TTF/"
+ chmod -R a+r "$pkgdir/usr/share/licenses/$pkgname/"
+}
+
diff --git a/ttf-game-fonts.install b/ttf-game-fonts.install
new file mode 100644
index 00000000000..7d21ab51b59
--- /dev/null
+++ b/ttf-game-fonts.install
@@ -0,0 +1,15 @@
+post_install() {
+ echo -n "Updating font cache... "
+ fc-cache -f > /dev/null
+ mkfontscale /usr/share/fonts/misc
+ mkfontdir /usr/share/fonts/misc
+ echo "done."
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}